# 天风任务-编辑页面详细说明

## 页面布局

### 顶部区域
- **标题栏**：显示任务名称和ID
- **返回按钮**：返回到任务列表页面
- **用户信息**：显示当前登录用户信息
- **功能按钮区**：包含各种操作按钮

### 主要内容区域
- **左侧组件面板**：提供可用的组件类型
- **中央流程图编辑区**：用于设计和编辑任务流程图
- **中间参数区域**：显示常用参数和变量
- **右侧属性面板**：设置选中组件的参数和属性

## 顶部功能按钮

- **保存**：
  - 保存当前任务配置
  - 快捷键：Ctrl+S
  - 保存成功后显示提示信息

- **运行**：
  - 执行当前任务
  - 任务开始执行后跳转到任务监控页面
  - 仅当任务配置有效时可用

- **撤销/重做**：
  - 撤销上一步操作（Ctrl+Z）
  - 重做已撤销的操作（Ctrl+Y）
  - 显示操作历史记录

- **全选/全不选**：
  - 选择或取消选择所有组件
  - 快捷键：Ctrl+A（全选）

- **任务基本设置**：
  - 打开任务基本信息配置面板
  - 设置任务名称、优先级等基本信息

- **任务输入参数**：
  - 打开任务输入参数配置面板
  - 定义任务执行所需的输入参数

- **复制/粘贴**：
  - 复制选中的组件（Ctrl+C）
  - 粘贴已复制的组件（Ctrl+V）
  - 支持跨任务复制粘贴

- **源码**：
  - 查看和编辑生成的最终JS代码
  - 支持代码高亮和语法检查
  - 修改源码后可同步更新可视化流程图

- **备份**：
  - 创建当前任务配置的备份
  - 支持添加备份说明
  - 查看历史备份记录

- **运行测试任务**：
  - 在测试环境中执行当前任务
  - 不影响生产环境
  - 显示测试进度和状态

- **查看测试结果**：
  - 查看任务测试执行结果
  - 显示详细的执行日志和数据
  - 支持错误分析和调试

## 左侧组件面板

- **搜索框**：
  - 快速查找所需组件
  - 支持按组件名称、功能关键词搜索
  - 实时过滤显示匹配结果

- **组件分类列表**：
  - **子任务**：可重用的任务单元
  - **脚本**：JavaScript脚本组件
  - **HTTP请求**：网络请求组件
  - **任务**：任务管理组件
  - **流程**：流程控制组件（If-Else、循环等）
  - **基础**：基础功能组件
  - **库位**：库位操作组件
  - **仿真**：仿真测试组件
  - **机器人调度**：机器人控制组件
  - **设备**：设备交互组件

- **组件拖拽**：
  - 支持将组件拖拽到中央编辑区
  - 显示拖拽预览效果
  - 自动对齐和吸附功能

## 中央流程图编辑区

- **主要工作区域**：
  - 用于设计和编辑任务流程图
  - 支持组件拖拽、连接和排列
  - 可视化展示任务执行流程和组件间的关系

- **组件操作**：
  - 单击选中组件
  - 双击打开组件配置
  - 拖动移动组件
  - 调整组件大小
  - 右键菜单提供更多操作

- **连接操作**：
  - 拖拽连接点创建组件间连接
  - 点击连接线选中
  - 双击连接线添加条件
  - 删除连接线

- **多选操作**：
  - 按住Shift键多选组件
  - 框选多个组件
  - 批量移动、复制、删除

- **视图控制**：
  - 缩放流程图（鼠标滚轮或缩放按钮）
  - 平移视图（按住空格键拖动）
  - 自动布局（整理组件排列）
  - 网格对齐（辅助精确定位）

- **状态显示**：
  - 组件状态指示（有效、错误、警告）
  - 执行路径高亮
  - 数据流向指示

## 中间参数区域

- **常用参数**：
  - 用于选择操作机器人的ID值
  - 指定任务执行的目标机器人
  - 快速访问常用配置参数

- **任务基本变量**：
  - **task.id**：任务的唯一标识
  - **task.taskRecordId**：任务实例ID
  - **task.defLabel**：任务名称
  - **task.createdOn**：创建时间
  - **task.variables**：任务变量集合
  - **task.priority**：任务优先级

- **任务输入参数**：
  - 显示从顶部配置的输入参数
  - 格式：taskInputs.参数名
  - 支持参数搜索和筛选
  - 显示参数类型和默认值

- **快输出及上下文参数**：
  - 显示任务执行过程中的输出参数
  - 显示上下文变量
  - 支持变量搜索和筛选
  - 实时更新变量值（测试执行时）

## 右侧属性面板

- **组件属性配置**：
  - 显示当前选中组件的所有可配置属性
  - 根据组件类型动态变化
  - 支持基本类型（文本、数字、布尔值等）
  - 支持复杂类型（对象、数组、表达式等）

- **参数设置**：
  - 配置组件的输入/输出参数
  - 参数绑定（引用其他组件的输出或系统变量）
  - 参数映射和转换

- **条件表达式**：
  - 编辑条件组件的判断逻辑
  - 支持复杂表达式
  - 提供表达式构建器
  - 支持变量引用和函数调用

- **代码编辑**：
  - 编写和修改脚本组件的代码
  - 支持代码高亮和自动完成
  - 提供常用代码片段
  - 实时语法检查

- **连接配置**：
  - 设置组件的前置和后续节点
  - 配置连接条件和优先级
  - 管理异常处理路径

- **实时验证**：
  - 提供配置错误的即时反馈
  - 显示警告和提示信息
  - 配置建议和最佳实践

## 任务编辑页面核心功能

### 1. 任务基本信息配置

- **任务ID**：系统自动生成，用户可查看但无需手动配置
- **任务名称**：可在基本设置中修改
- **任务描述**：详细说明任务的用途和功能
- **任务标签**：用于分类和筛选任务
- **任务优先级**：设置任务的执行优先级

### 2. 任务输入参数配置

- **参数定义**：
  - 添加、编辑、删除参数
  - 设置参数名称、类型、默认值、描述
  - 设置参数是否必填

- **参数类型支持**：
  - 字符串、数字、布尔值
  - 日期时间
  - 对象、数组
  - 枚举（下拉选项）

- **参数验证规则**：
  - 设置参数的有效范围
  - 自定义验证规则
  - 错误提示信息

### 3. 机器人选择配置

- **机器人选择**：
  - 指定具体的机器人ID
  - 选择机器人类型
  - 设置动态选择规则

- **机器人筛选条件**：
  - 根据位置筛选
  - 根据状态筛选（电量、负载等）
  - 根据能力筛选

- **多机器人协同**：
  - 配置多机器人任务
  - 设置协同规则和优先级

### 4. 上下文参数管理

- **参数创建**：
  - 定义上下文变量
  - 设置初始值和类型
  - 设置变量作用域

- **参数访问**：
  - 在组件中引用变量
  - 变量值的读取和修改
  - 变量生命周期管理

- **参数监控**：
  - 查看变量当前值
  - 跟踪变量值变化
  - 调试变量问题

### 5. 条件逻辑配置

- **条件组件**：
  - If、If-Else、If-Else-If
  - Switch-Case
  - 条件循环（while、do-while）

- **条件表达式**：
  - 比较运算（等于、大于、小于等）
  - 逻辑运算（与、或、非）
  - 复合条件
  - 函数调用

- **分支处理**：
  - 配置条件分支
  - 设置默认分支
  - 嵌套条件

### 6. 数据存储与传递

- **变量操作**：
  - 创建和修改变量
  - 变量类型转换
  - 变量作用域管理

- **数据持久化**：
  - 数据库操作
  - 文件存储
  - 缓存管理

- **数据传递**：
  - 组件间数据传递
  - 任务间数据共享
  - 外部系统数据交换

### 7. 组件连接与流程控制

- **顺序执行**：
  - 按预定顺序执行组件
  - 设置执行条件和优先级

- **并行执行**：
  - 同时执行多个分支
  - 管理并行任务
  - 同步点设置

- **循环执行**：
  - 重复执行特定流程
  - 设置循环条件和次数
  - 循环控制（break、continue）

- **错误处理**：
  - 异常捕获和处理
  - 重试机制
  - 回滚操作

## 使用流程

1. **打开任务**：
   - 从任务列表中选择任务
   - 系统加载任务配置
   - 显示任务流程图和属性

2. **设计流程**：
   - 从左侧组件面板拖拽组件到中央编辑区
   - 连接组件，定义执行流程
   - 配置组件属性和参数

3. **设置参数**：
   - 配置任务输入参数
   - 设置组件参数
   - 定义上下文变量

4. **测试任务**：
   - 点击"运行测试任务"按钮
   - 查看测试执行结果
   - 调试和优化流程

5. **保存任务**：
   - 点击"保存"按钮
   - 系统验证任务配置
   - 保存成功后显示提示信息

6. **执行任务**：
   - 点击"运行"按钮
   - 系统开始执行任务
   - 跳转到任务监控页面

## 最佳实践

1. **流程设计**：
   - 保持流程简洁清晰
   - 合理分组和组织组件
   - 使用注释说明复杂逻辑

2. **错误处理**：
   - 为关键操作添加错误处理
   - 设置合理的重试策略
   - 记录详细的错误信息

3. **参数管理**：
   - 使用有意义的参数名称
   - 设置合适的默认值
   - 添加参数描述和验证规则

4. **性能优化**：
   - 避免不必要的组件和操作
   - 合理使用并行执行
   - 优化数据处理逻辑

5. **版本控制**：
   - 定期创建任务备份
   - 记录重要更改
   - 测试验证后再应用到生产环境 