# 天风任务系统数据模型关系图

## 核心表关系

```
┌───────────────────┐          ┌───────────────────┐
│       Task        │1       N │   TaskInstance    │
│                   ├──────────┤                   │
│ 任务基本信息       │          │ 任务实例(编辑状态) │
└───────────────────┘          └─────────┬─────────┘
                                         │
                                         │1
                                         │
                                         │N
                               ┌─────────▼─────────┐
                               │  TaskInputParam   │
                               │                   │
                               │  任务输入参数      │
                               └───────────────────┘
```

## 组件参数关系

```
┌───────────────────┐          ┌───────────────────┐
│   ComponentType   │1       N │ ComponentParameter│
│                   ├──────────┤    Definition     │
│   组件类型         │          │                   │
└───────────────────┘          │   组件参数定义     │
         │                     └───────────────────┘
         │1
         │
         │N
┌────────▼──────────┐          
│  ParameterTemplate│          
│                   │          
│  参数模板          │          
└───────────────────┘          
```

## 详细表关系

天风任务系统的核心数据模型关系如下:

1. **任务管理**:
   - Task(任务) → TaskInstance(任务实例) → TaskInputParam(任务输入参数)
   - 一个任务可以有多个任务实例(不同编辑状态)
   - 一个任务实例有多个输入参数

2. **组件管理**:
   - ComponentType(组件类型) → ComponentParameterDefinition(组件参数定义)
   - ComponentType(组件类型) → ParameterTemplate(参数模板)

3. **任务执行**:
   - Task(任务) → TaskRecord(任务执行记录) → TaskRecordDetail(任务执行详情)

## 说明

1. **任务(Task)**是系统的核心实体，它定义了一个完整的工作流。

2. **任务实例(TaskInstance)**记录了任务在每次编辑过程中的状态，支持草稿和发布版本管理。

3. **任务输入参数(TaskInputParam)**定义了执行任务时需要的参数。

4. **组件(Component)**是任务的构建块，通过组件参数配置其行为。 